Bug 137513 - Show direct formatting in tables in Styles Inspector
Summary: Show direct formatting in tables in Styles Inspector
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Styles_Inspector
  Show dependency treegraph
 
Reported: 2020-10-15 20:08 UTC by Aron Budea
Modified: 2021-02-04 04:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample ODT (9.66 KB, application/vnd.oasis.opendocument.text)
2021-02-03 13:44 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2020-10-15 20:08:37 UTC
Currently neither character, nor paragraph direct formatting is shown for text in table cells. Would be great to show those, too.

After adding the feature, test inserting various objects (eg. shapes), and make sure there is no crash, to avoid bugs like bug 137105.
Comment 1 Shivam Kumar Singh 2021-02-03 10:17:19 UTC
SI does show direct formatting properties for text in table cells.

I checked in :-
Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: fddad2ed797f1773ed5be979a0b05d3f976b744e
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: en-IN (en_IN); UI: en-US
Calc: threaded
Comment 2 Aron Budea 2021-02-03 13:16:47 UTC
Seems like this was fixed as a side-effect from the following commit, reverse-bibisected using repo bibisect-linux-64-7.2. Thanks to Michael Stahl for the fix.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ecc3c621fe5a7e962f0e40cb3709ad5772a5d744
author		Michael Stahl <Michael.Stahl@cib.de>	2020-11-24 15:33:44 +0100
committer	Michael Stahl <michael.stahl@cib.de>	2020-11-24 19:54:36 +0100

sw: fix SwXTextRange::createEnumeration() inside table cell
Comment 3 Xisco Faulí 2021-02-03 13:28:24 UTC
(In reply to Aron Budea from comment #2)
> Seems like this was fixed as a side-effect from the following commit,
> reverse-bibisected using repo bibisect-linux-64-7.2. Thanks to Michael Stahl
> for the fix.
> 
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=ecc3c621fe5a7e962f0e40cb3709ad5772a5d744
> author		Michael Stahl <Michael.Stahl@cib.de>	2020-11-24 15:33:44 +0100
> committer	Michael Stahl <michael.stahl@cib.de>	2020-11-24 19:54:36 +0100
> 
> sw: fix SwXTextRange::createEnumeration() inside table cell

if you attach a little document I could create a UItest for this
Comment 4 Aron Budea 2021-02-03 13:44:18 UTC
Created attachment 169436 [details]
Sample ODT

(In reply to Xisco Faulí from comment #3)
> if you attach a little document I could create a UItest for this
Formatting in order of paragraphs:
- no formatting,
- no paragraph formatting, character formatting on 2nd word,
- paragraph formatting, no character formatting,
- paragraph formatting, character formatting on 2nd word.
Comment 5 Commit Notification 2021-02-03 23:08:59 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/62ee3d791d63cb693109b063b73dff5e81356d90

tdf#137513: sw: Add UItest

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Aron Budea 2021-02-04 04:34:53 UTC
Thanks, Xisco!